javax.media.nativewindow.util

## Interface PixelRectangle

- All Known Implementing Classes:
    PixelRectangle.GenericPixelRect

      public interface PixelRectangle

  Pixel Rectangle identified by it's `hashCode()`.

  The `getPixels()` are assumed to be immutable.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PixelRectangle.GenericPixelRect` Generic PixelRectangle implementation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PixelFormat` | `getPixelformat()` Returns the `PixelFormat`.
    `ByteBuffer` | `getPixels()` Returns the pixels.
    `DimensionImmutable` | `getSize()` Returns the size, i.e.
    `int` | `getStride()` Returns stride in byte-size, i.e.
    `int` | `hashCode()` Computes a hash code over: pixelformat size stride isGLOriented pixels
    `boolean` | `isGLOriented()` Returns `true` if the memory is laid out in OpenGL's coordinate system, origin at bottom left.
    `String` | `toString()`

- - ### Method Detail

    - #### hashCode

          int hashCode()

      Computes a hash code over:

      - pixelformat
      - size
      - stride
      - isGLOriented
      - pixels

      The hashCode shall be computed only once with first call and stored for later retrieval to enhance performance.

      Overrides:
        `hashCode` in class `Object`

    - #### getPixelformat

          PixelFormat getPixelformat()

      Returns the `PixelFormat`.

    - #### getSize

          DimensionImmutable getSize()

      Returns the size, i.e. width and height.

    - #### getStride

          int getStride()

      Returns stride in byte-size, i.e. byte count from one line to the next.

      Must be >= `getPixelformat()`.`bytesPerPixel()` * `getSize()`.`getWidth()`.

    - #### isGLOriented

          boolean isGLOriented()

      Returns `true` if the memory is laid out in OpenGL's coordinate system, origin at bottom left. Otherwise returns `false`, i.e. origin at top left.

    - #### getPixels

          ByteBuffer getPixels()

      Returns the pixels.

    - #### toString

          String toString()

      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.